Subject: [pim] Reply: draft-ietf-pim-yang-03: questions

From: Liuyisong <[email-masked]>
Date: Tue, 15 Nov 2016 02:07:00 +0000

Hi,

   I'm Yisong from Huawei. In Huawei implementation, if two or more protocols on the same interface are configured different bfd parameters, for example, isis min-tx-interval is 1s, and pim min-tx-interval is 100ms, then BFD should use the minimum value 100ms.Other bfd parameters are the same.
   The benefit of the implementation is very flexible for BFD. BFD can execute by different parameters according to the application automatically.

Thanks
Yisong

-----邮件原件-----
发件人: Toerless Eckert [mailto:[email-masked]] 
发送时间: 2016年11月14日 11:16
收件人: [email-masked]; [email-masked]
主题: draft-ietf-pim-yang-03: questions

To follow up on the questions i had on the mike on Seoul@PIM:

Can you pls. point me to a place that defines how BFD has to work if two different protocols on the same interface are configured for differrnt local-multiplier, desired-min-tx, required-min-rx-interval and the like.

I hope thats specified in some BFD RFC/draft, but i couldn't find it browsing them.

Also: In Seoul, it was said that some vendors have configuration of these parameters on a per-protocol basis. WOuld love a pointer toward any single vendor doc about that.

If these parameters can be configured underneath a particular protocol (like PIM/BFD), why then should these parameters be "ro" instead of "rw" ?

Last but not least: Given how there is no PIM-BFD specific "protocol spec" out of PIM or MBoned, it looks to me as if all this discussion is probavbly better done in BFD working group, and they should suggest the parameters that can be configured.

draft-ietf-ospf-yang has a section about BFD which seems to primarily care about making OSPF-BFD in the OSPF-YANG model optional. I think it would be prudent to do the same for PIM-BFD. On the other hand, even the OSPF-BFD definition does not seem to define these parameters. So maybe lets try to figur eout the best of what OSPF-BFD will ultimately do and then copy to PIM - unless we figure out reasons to go beyond that approach.

Cheers
    Toerless